> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qall.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Org Documents



## OpenAPI

````yaml /openapi.json get /api/documents
openapi: 3.1.0
info:
  description: >-
    Build and run voice assistants: configure an assistant, give it tools,
    knowledge and playbooks, place and read calls, and manage contacts,
    campaigns and analytics.


    Authenticate every request with an API key as a bearer token. See the API
    introduction for the response envelope, pagination and error shapes.
  title: Qall API
  version: 0.1.0
servers:
  - description: Production
    url: https://qall.io
security: []
paths:
  /api/documents:
    get:
      tags:
        - documents
      summary: List Org Documents
      operationId: list_org_documents_api_documents_get
      parameters:
        - in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            title: Page
            type: integer
        - in: query
          name: per_page
          required: false
          schema:
            default: 20
            maximum: 200
            minimum: 1
            title: Per Page
            type: integer
        - description: Search by name/filename
          in: query
          name: q
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Search by name/filename
            title: Q
        - description: pending|processing|completed|failed
          in: query
          name: status
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: pending|processing|completed|failed
            title: Status
        - in: query
          name: is_public
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Is Public
        - in: query
          name: include_inactive
          required: false
          schema:
            default: false
            title: Include Inactive
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/APIResponse_PaginatedResponse_Dict_str__Any___
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    APIResponse_PaginatedResponse_Dict_str__Any___:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/PaginatedResponse_Dict_str__Any__'
            - type: 'null'
        message:
          title: Message
          type: string
        success:
          title: Success
          type: boolean
      required:
        - success
        - message
      title: APIResponse[PaginatedResponse[Dict[str, Any]]]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    PaginatedResponse_Dict_str__Any__:
      properties:
        items:
          items:
            additionalProperties: true
            type: object
          title: Items
          type: array
        page:
          title: Page
          type: integer
        pages:
          title: Pages
          type: integer
        per_page:
          title: Per Page
          type: integer
        total:
          title: Total
          type: integer
      required:
        - items
        - total
        - page
        - per_page
        - pages
      title: PaginatedResponse[Dict[str, Any]]
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.